Get promo code
curl --request GET \
--url https://{domain}/api/v2/network/promo-codes/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/promo-codes/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/promo-codes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>",
"info": {
"promoCode": {
"id": 123,
"code": "<string>",
"affiliate_id": 123,
"offer_id": 123,
"commission_plan_id": 123,
"start_date": 123,
"end_date": 123,
"description": "<string>",
"created": 123,
"updated": 123
}
}
}{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}{
"message": "API key is invalid or missing.",
"success": false
}{
"message": "This endpoint is not available for your role.",
"success": false
}{
"message": "Resource not found.",
"success": false
}{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}Promo codes
Get promo code
Returns promo code details.
GET
/
api
/
v2
/
network
/
promo-codes
/
{id}
Get promo code
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Path Parameters
Promo code ID.
Was this page helpful?
⌘I